How can i install swift 4.1 on ubuntu 18.04?


(Kaiyin Zhong) #1

How can i install swift 4.1 on ubuntu 18.04?


(Johannes Weiss) #2

@kindlychung See this post. Long story short: There's ongoing work to setup CI for 18.04 and @tkremenek said they hope to have pre-built 18.04 images for Swift 4.2.
If you're willing to build Swift from source yourself you should be able to do that today on 18.04.


(Helge Heß) #3

This may be another option that may make a lot of sense in a server setup anyways:

docker run --rm -it swift:4.1.0 swift --version

Seems like a lot of people still do this with even older distros.